Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.avaloncomponent
Interface AvalonComponentService

All Superinterfaces:
  Initable, Service, org.apache.avalon.framework.service.ServiceManager, TurbineServiceProvider

All Known Implementing Classes:
  TurbineAvalonComponentService, TurbineYaafiComponentService

    public interface AvalonComponentService

extends Service, org.apache.avalon.framework.service.ServiceManager, TurbineServiceProvider

This service allows access to avalon components.

Version:
  $Id: AvalonComponentService.java 615328 2008-01-25 20:25:05Z tv $
Author:
  Quinton McCombs, Henning P. Schmiedehausen

Field Summary
`static String` | `AVALON_LOG_CATEGORY` Where we write the Avalon Logger messages
`static String` | `COMPONENT_APP_ROOT` Key used in the context for defining the application root
`static String` | `COMPONENT_CONFIG_KEY` property specifing file name of the component config file
`static String` | `COMPONENT_CONFIG_VALUE` property specifing file name of the component config file
`static String` | `COMPONENT_LOOKUP_KEY` property for the Components to look up
`static String` | `COMPONENT_ROLE_KEY` property specifing file name of the component role file
`static String` | `COMPONENT_ROLE_VALUE` property specifing file name of the component role file
`static String` | `SERVICE_NAME` The publically visible name of the service

Method Summary

Methods inherited from interface org.apache.turbine.services.Service
`getConfiguration, getName, getProperties, setName, setServiceBroker`

Methods inherited from interface org.apache.turbine.services.Initable
`getInit, init, init, setInitableBroker, shutdown`

Methods inherited from interface org.apache.avalon.framework.service.ServiceManager
`hasService, lookup, release`

Methods inherited from interface org.apache.turbine.services.TurbineServiceProvider
`exists, get, release`

Field Detail

### SERVICE_NAME

    static final String SERVICE_NAME

  The publically visible name of the service

  See Also:
    Constant Field Values

### AVALON_LOG_CATEGORY

    static final String AVALON_LOG_CATEGORY

  Where we write the Avalon Logger messages

  See Also:
    Constant Field Values

### COMPONENT_CONFIG_KEY

    static final String COMPONENT_CONFIG_KEY

  property specifing file name of the component config file

  See Also:
    Constant Field Values

### COMPONENT_CONFIG_VALUE

    static final String COMPONENT_CONFIG_VALUE

  property specifing file name of the component config file

  See Also:
    Constant Field Values

### COMPONENT_ROLE_KEY

    static final String COMPONENT_ROLE_KEY

  property specifing file name of the component role file

  See Also:
    Constant Field Values

### COMPONENT_ROLE_VALUE

    static final String COMPONENT_ROLE_VALUE

  property specifing file name of the component role file

  See Also:
    Constant Field Values

### COMPONENT_LOOKUP_KEY

    static final String COMPONENT_LOOKUP_KEY

  property for the Components to look up

  See Also:
    Constant Field Values

### COMPONENT_APP_ROOT

    static final String COMPONENT_APP_ROOT

  Key used in the context for defining the application root

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.